@ echo off
CLS
echo.
echo.
echo.
echo.	This patch will install Cleveland Raceway to your
echo.	computer. Make sure you have the ICR2/Cart Clevland.dat
echo.	in your ...tracks/clevland folder. IF YOU DO NOT HAVE
echo.	THIS TRACK THE INSATLL WILL FAIL!
echo.
echo.
echo.
choice /c:yn Do you wish to continue (Y)es (N)o
if errorlevel 2 goto end   
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install
echo Cleveland.
echo;
goto end

:needfile
echo;
echo Couldn't locate pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo Cleveland.
goto end

:execute
Cls
echo.
unpack.exe clevland.dat
del clevland.dat
del *.3do
del *.cam
del *.scr
del *.mip
del *.pmp
del *.pcx
del *.pck
del *.rpl
del *.stp
del *.str
del *.pm4
del *.mi4
del *.raw
pkunzip.exe files.zip
pack.exe clevland.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.mip
del *.m16
del *.trk
del *.scr
del *.pck
del *.srb
del *.3do
del *.cam
del *.def
del *.exe
del *.zip
del *.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo;
echo   *****************************************
echo   *           Cleveland Raceway           *
echo   *                                       *
echo   *             was created by            *
echo   *                                       *
echo   *              Brad Wrenn               *
echo   *         BradW@simcyberworld.com       *
echo   *           for Coast 2 Coast           *
echo   *                                       *
echo   *****************************************
echo;
echo;
goto end

:end
del *.bat